// snatcher.js --- W+Info Snatcher

function wInfo(url)
{
	var xml = new JKL.ParseXML( url );
	var func = function ( data )
	{  
	  onloaded1( data );
	}
	xml.async( func );
	xml.parse();
}

function allReplace(text, sText, rText)
{
	while (true) { 
	var dummy = text;
	var text = dummy.replace(sText, rText);
		if (text == dummy) {
		break;
		}
	}
return text;
}

function dispMore(tName)
{
	try {
	var tMore = document.all[tName].style;
	}
	catch(e) {
	return e;
	}

	if (tMore.display == 'none') {
		tMore.display = "block";
	}
	else {
		tMore.display = "none";
	}
}

function allDispMore(tName)
{
	var dummy = "";
	for (i=1; i<110; i++) {
	dummy = dispMore('menu'+i);
	}
}

function repWeather(tStr)
{
	var tStr = allReplace(tStr, "\\r\\n\\r\\n", "<br>");

	tStr = allReplace(tStr, "\\r\\n", "<br>");

	tStr = allReplace(tStr, "≪今日の天気≫<br>", "きょう：");
	tStr = allReplace(tStr, "≪今夜の天気≫<br>", "こんや：");
	tStr = allReplace(tStr, "≪明日の天気≫<br>", "</div>　あす：");

	tStr = allReplace(tStr, "晴", "<span style='color: tomato; font-weight: bold;'>&#26228;&#12428;</span>");
	tStr = allReplace(tStr, "雲", "<span style='color: gray; font-weight: bold;'>&#12367;&#12418;&#12426;</span>");
	tStr = allReplace(tStr, "曇", "<span style='color: gray; font-weight: bold;'>&#12367;&#12418;&#12426;</span>");
	tStr = allReplace(tStr, "雨", "<span style='color: dodgerblue; font-weight: bold;'>&#38632;</span>");
	tStr = allReplace(tStr, "雪", "<span style='background-color: lightslategray; color: snow; font-weight: bold;'>&#38634;</span>");

	tStr = allReplace(tStr, "のち", "→");
	tStr = allReplace(tStr, "℃", "");

	tStr = allReplace(tStr, "<br>最低気温", " <br><div id='jump'><span style='color: blue;'>");
	tStr = allReplace(tStr, "<br>最高気温 ", "</span>／<span style='color: red;'>");
	tStr = allReplace(tStr, "<br>降水確率", "</span>℃　降水確率 ");

	return tStr;
}

function toZenkaku( motoText ){
	txt = "ｱｲｳｴｵｶｷｸｹｺｻｼｽｾｿﾀﾁﾂﾃﾄﾅﾆﾇﾈﾉﾊﾋﾌﾍﾎﾏﾐﾑﾒﾓﾔﾕﾖﾗﾘﾙﾚﾛﾜｦﾝｧｨｩｪｫｬｭｮｯ､｡ｰ｢｣ﾞﾟ";
	zen = "アイウエオカキクケコサシスセソタチツテトナニヌネノハヒフヘホマミムメモヤユヨラリルレロワヲンァィゥェォャュョッ、。ー「」";
	zen+= "　　ヴ　　ガギグゲゴザジズゼゾダヂヅデド　　　　　バビブベボ　　　　　　　　　　　　　　　　　　　　　　　　　　　　　　";
	zen+= "　　　　　　　　　　　　　　　　　　　　　　　　　パピプペポ　　　　　　　　　　　　　　　　　　　　　　　　　　　　　";
	str = "";
	for (i=0; i<motoText.length; i++){
		c = motoText.charAt(i);
		cnext = motoText.charAt(i+1);
		n = txt.indexOf(c,0);
		nnext = txt.indexOf(cnext,0);
		if (n >= 0){
			if (nnext == 60){
				c = zen.charAt(n+60);
				i++;
			}else if (nnext == 61){
				c = zen.charAt(n+120);
				i++;
			}else{
				c = zen.charAt(n);
			}
		}
		if ((n != 60) && (n != 61)){
			str += c;
		}
	}
	return str;
}

function onloaded1(xml)
{
	var data = "";

	for(i in xml["rss"].channel.item)
	{

		if (data == ""){

		data += '<div id="update">'
		data += '<dt><a href="javascript:void(0)" onClick="dispMore(\'menu'+i+'\')">'
		data += '<b>'+decodeURIComponent(xml["rss"].channel.item[i].title)+'</b>'
		data += '</a></dt>'
		data += '<dd><div id="menu'+i+'" style="display:none">'+decodeURIComponent(xml["rss"].channel.item[i].description)+'<br>'
		data += '<div id="jump"><a href="'+decodeURIComponent(xml["rss"].channel.item[i].link)+'" target="_blank">配信設定をおこなう...</a></div></div>'
		data += '</div><hr>'

		} else if (xml["rss"].channel.item[i].category == 'weather'){

		data += '<img src="./Tmp/weather.gif" id="weather"><dt><div id="fairing">'+repWeather(decodeURIComponent(xml["rss"].channel.item[i].description))+'</div></div></dt>'
		data += '<div style="clear: right;"></div><hr>'

		} else if (xml["rss"].channel.item[i].category == 'willcom'){

		data += '<hr><dt><a href="javascript:void(0)" onClick="dispMore(\'menu'+i+'\')">'
		data += '<b>★'+decodeURIComponent(xml["rss"].channel.item[i].title)+'</b>'
		data += '</a></dt>'
		data += '<dd><div id="menu'+i+'" style="display:none"><div id="jump"><a href="./Tmp/contents.eml" target="_blank">内容を確認する(未対応)</a>'
		data += '<br><a href="http://menu.w-info.jp/winfo/archive/list.asp" target="_blank">W+Infoアーカイブ...</div></div></dd>'
		} else {

		data += '<dt><a href="javascript:void(0)" onClick="dispMore(\'menu'+i+'\')">'
		data += '<b>▼'+decodeURIComponent(xml["rss"].channel.item[i].title)+'</b>'
		data += '</a></dt>'
		data += '<dd><div id="menu'+i+'" style="display:none">'+decodeURIComponent(xml["rss"].channel.item[i].description)+'<br>'
		data += '<div id="jump"><a href="'+decodeURIComponent(xml["rss"].channel.item[i].link)+'" target="_blank">もっと詳しく...</a></div></div>'
		data += '('+decodeURIComponent(xml["rss"].channel.item[i].pubDate).substring(0,16)+')</dd>'
		}
	}

	data = allReplace(data, "\\r\\n", "<br>");
	data = allReplace(data, "undefined", decodeURIComponent(xml["rss"].channel.item[0].title).substring(0,5));
	data = allReplace(data, "<br>映像協力:Nippon News Network", "");

//	半角カナの変換には相当時間が掛かります。必要な場合のみコメントアウトを削除してください。
//	data = toZenkaku( data );

	document.getElementById('news1').innerHTML = data;
	dispMore('loadwinfo');
}

// 
